ALIEN-ARENA-SERVER(6)

NAME
alien-arena-server - wrapper script to run an Alien Arena dedicated server.

SYNOPSIS
alien-arena-server [OPTIONS] [PARAMETERS]...
Available options.
[-h|--help] [-q|--quiet] [-s|--service] [-k|--kill] [-Q|--query] [-r|--rcon]

DESCRIPTION
This manual page documents briefly the alien-arena-server command.

alien-arena-server is a wrapper script used for running and maintaining Alien Arena dedicated servers. It calls other scripts ('launch-server', 'kill-runaway-crded', 'svstat', and 'rcon') depending on which option is chosen. It also calls the 'crded' binary itself if -q, --quiet, or no option is used.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-q, --quiet
    Disable console output. Only used when calling the 'crded' binary itself.

-s <configfile>, --service <configfile>
    Calls 'launch-server', which is a shell script designed to emulate running crded as a persisant service under linux using a server configuration file <configfile>.
    /usr/share/games/alien-arena/arena/server.cfg is a suitable <configfile> that is already installed with the alien-arena-data package. <configfile> can be specified as a path inside the .alien-arena directory which is a directory inside your home directory <$HOME/.alien-arena>. <configfile> can also be specified by its full path in this system.

-k, --kill
    Calls 'kill-runaway-crded', which is a shell script to kill all dedicated server processes. Useful when a server session was started with -s or --service option.

-Q, --query
    Calls 'svstat' which is a ruby script that will query local servers and produce some nice output for server admins.

-r <server:port> password <commandstring>, --rcon <server:port> password <commandstring>
    Calls 'rcon' which is a ruby script that sends rcon commands to servers. <server:port> is the IP address and port number of the server. "password" is the password on the server. <commandstring> is any rcon commands to pass to the server.

PARAMETERS
[PARAMETERS] could be any parameter that can be passed to the script that will be called or the binary 'crded'. For example, when using the -s or --service option, <configfile> is a parameter. Below is a list of the available parameters for each option.

-s, --service [PARAMETERS]
    <configfile> - Any acceptable server configuration file such as /usr/share/games/alien-arena/arena/server.cfg.

-r, --rcon [PARAMETERS]
    <server:port> password <commandstring> - <server:port> is the IP address and port number of the server. "password" is the password on the server. <commandstring> is any rcon commands to pass to the server.

When calling the 'crded' binary itself, any series of console codes can be passed to it. Alien Arena uses Quake 2 based console codes. A listing of these codes can be found <http://console.planetquake.gamespy.com/commands/quake_2.html>. Most of the codes described at this webpage will work for Alien Arena.

AUTHOR
See the copyright </usr/share/doc/alien-arena-server/copyright> for contributers to Alien Arena.

COPYRIGHT
This manual page was written by Andres Mejia <mcitadel@gmail.com>, for the Debian project (but may be used by others).